Bug 457872 - yum check-update --changelog does not print changelog entries
yum check-update --changelog does not print changelog entries
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 01:01 EDT by Bernie Innocenti
Modified: 2014-01-21 18:03 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 07:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2008-08-05 01:01:41 EDT
We want to write a cron job that sends daily reports of what updates are available for monitored servers, along with their changelog entries.

"yum check-update --changelog" does not seem to print any changelog entries.

"yum update --changelog" *does* print the logs correctly, but then asks a question interactively, which makes it inconvenient in a batch.

Instead, "yum changelog all updates" does too much: it prints the full changelogs and there doesn't seem to be a date option to say "gimme just the *new* changelog entries relative to what I have installed".
Comment 1 James Antill 2008-08-05 10:57:40 EDT
 Note that you can do: "echo n | yum update --changelog"

 I'll look at adding some features to the changelog plugin to make this easier though.
Comment 2 Jan Hutař 2008-09-10 05:16:18 EDT
Hello,
does comment #1 helped you to do the cron job? If you wish, you can definitely change this to the request for enhancement with some description of what do you want. You can also discuss on yum upstream mailing list:

http://linux.duke.edu/projects/yum/
https://lists.linux.duke.edu/mailman/listinfo/yum
Comment 3 Bernie Innocenti 2008-12-21 07:19:20 EST
(In reply to comment #2)
> Hello,
> does comment #1 helped you to do the cron job? If you wish, you can definitely
> change this to the request for enhancement with some description of what do you
> want. You can also discuss on yum upstream mailing list:
> 
> http://linux.duke.edu/projects/yum/
> https://lists.linux.duke.edu/mailman/listinfo/yum

Yes, I used the trick suggested in comment #1 to get the job done.

Closing the bug, although "yum check-update --changelog" would make a useful  feature in general.

Note You need to log in before you can comment on or make changes to this bug.